import { CstNode, BaseJavaCstVisitorWithDefaults, ClassDeclarationCtx, EnumDeclarationCtx, EnumConstantListCtx } from 'java-parser';
declare class ExpressionValueVisitor extends BaseJavaCstVisitorWithDefaults {
    data: {
        type: 'fqnOrRefType' | 'primitive';
        raw: string;
        value: any;
    };
    state: {
        prefix: any;
    };
    setData(raw: any, type?: string): void;
    unaryExpression(ctx: any): any;
    integerLiteral(ctx: any): any;
    floatingPointLiteral(ctx: any): any;
    booleanLiteral(ctx: any): void;
    literal(ctx: any, param?: any): any;
    fqnOrRefType(ctx: any): void;
}
export declare function getExpressionValue(cst: any): {
    type: "fqnOrRefType" | "primitive";
    raw: string;
    value: any;
};
declare class Visitor extends BaseJavaCstVisitorWithDefaults {
    data: Array<{
        enumClass: string;
        enums: Array<{
            name: string;
            label?: ExpressionValueVisitor['data'];
            value: ExpressionValueVisitor['data'];
        }>;
    }>;
    state: {
        visiting: boolean;
        enumClass: any;
        enums: any[];
    };
    private firstEnumComment;
    startVisit(fn?: any): any;
    stopVisit(): void;
    isVisiting(): boolean;
    classDeclaration(ctx: ClassDeclarationCtx, param?: any): any;
    enumDeclaration(ctx: EnumDeclarationCtx, param?: any): any;
    enumConstantList(ctx: EnumConstantListCtx, param?: any): any;
}
export declare function parseEnumCode(codeOrAst: string | CstNode): {
    enumClass: string;
    enums: {
        name: string;
        label?: {
            type: "fqnOrRefType" | "primitive";
            raw: string;
            value: any;
        };
        value: {
            type: "fqnOrRefType" | "primitive";
            raw: string;
            value: any;
        };
    }[];
}[];
type ArrayItem<T> = T extends Array<infer U> ? U : T;
/**
 * 转换当个文件
 * @param x
 * @param param1
 * @returns
 */
export declare function formatItemToTs(x: ArrayItem<Visitor['data']>, { transformEnumName }?: {
    transformEnumName?: (name: string) => string;
}): string;
export declare function formatToTs(data: Visitor['data'], { transformEnumName }?: {
    transformEnumName?: (name: string) => string;
}): string;
export {};
